@import url('https://fonts.googleapis.com/css2?family=Josefin+Sans:wght@100;200;300;400;500;600;700&family=Roboto+Condensed:wght@300;400;700&display=swap');
@import url('~@/scss/variables.scss');
@import url('~@/scss/font.scss');

body {
  font-family: $body-font-family;
  font-size: 18px;
}

.roboto {
  font-family: 'Roboto Condensed', sans-serif !important;
}

.container.fill-height > .row {
  max-width: inherit;
}

.tway-background-curves {
  background-image: url('../../assets/img/fondo3.jpg');
  background-size: cover;
}

.tway-background-curves-svg {
  background-image: url('../../assets/img/background-desktop.svg');
  background-size: cover;
}

.tway-background-curves-svg-mobile {
  background-image: url('../../assets/img/background-mobile.svg');
  background-size: cover;
  background-position: center;
}
.tway-background-curves-svg-mobile-nologo {
  background-image: url('../../assets/img/background-mobile-nologo.svg');
  background-size: cover;
  background-position: center;
}

.tway-title {
  font-family: $heading-font-family;
}

.tway-label {
  font-size: 20px;
}

.tway-title-h2 {
  font-size: 36px;
}

.tway-bold {
  font-family: $heading-font-family;
  font-weight: bold;
}

.text--tway-violet {
  color: $tway-violet;
}

.text--tway-gray {
  color: $tway-gray;
}

.text--tway-apple-green{
  color: $tway-apple-green;
}

/* Desde Figma */
.tway-body-text {
  font-size: 18px !important;
}

.tway-header-1 {
  font-family: $heading-font-family;
  font-weight: bold;
  font-size: 25px;
  line-height: 33px;
}

.tway-header-2 {
  font-family: $heading-font-family;
  font-style: normal;
  font-weight: normal;
  font-size: 20px;
  line-height: 25px;
}

.tway-display-1 {
  font-family: $heading-font-family;
  font-style: normal;
  font-weight: normal;
  font-size: 36px;
  line-height: 42px;
}

.tway-display-2 {
  font-family: $body-font-family;
  font-weight: normal;
  font-size: 24px;
  line-height: 34px;
}

.tway-headline-1 {
  font-family: $heading-font-family;
  font-style: normal;
  font-weight: 600;
  font-size: 32px;
  line-height: 45px;
}

.tway-headline-2{
  font-family: Josefin Sans;
  font-style: normal;
  font-weight: normal;
  font-size: 25px;
  line-height: 150%;
  color: #333333;
}

.tway-headline-3 {
  font-family: $heading-font-family;
  font-weight: 600;
  font-size: 17px;
  line-height: 28px;
}

.tway-card {
  border-color: $tway-violet-3 !important;
  border-style: solid;
}

.tway-header-eyebrown {
  font-family: $heading-font-family;
  font-style: normal;
  font-weight: bold;
  font-size: 11px;
  line-height: 25px;
  text-transform: uppercase;
}

.tendencias {
  .theme--light.v-card .tway-display-1,
  .theme--light.v-card .tway-display-2,
  .theme--light.v-card .tway-header-2 {
    color: #000000 !important;
  }
}

.registration-form-border-right {
  border-right: 1px solid #dedede;
}

.registration-form-border-bottom {
  border-bottom: 1px solid #dedede;
}

.center {
  display: flex;
  justify-content: center;
  align-items: center;
}

.v-application--is-ltr .v-stepper__step__step {
  margin-right: 0px !important;
  height: 36px;
  min-width: 36px;
  width: 36px;
  font-size: 0.85rem;
  margin-bottom: 10px;
}
.v-stepper__header {
  box-shadow: none !important;
  border-bottom: 1px solid #f1f1f1;
  height: auto !important;
  @media only screen and (min-width: 1265px) {
    padding-left: 10%;
    padding-right: 10%;
  }
  @media only screen and (max-width: 1264px) {
    padding-left: 2%;
    padding-right: 2%;
  }
}
.v-stepper__content {
  @media only screen and (min-width: 1265px) {
    .stepper-item {
      padding-left: 10%;
      padding-right: 10%;      
    }
    padding-left: 0px;
    padding-right: 0px;
  }
  @media only screen and (max-width: 1264px) {
    .stepper-item {
      padding-left: 5%;
      padding-right: 5%;      
    }
    padding-left: 0px;
    padding-right: 0px;
  }
}
.v-stepper__step {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  //padding: 2em !important;
}

@media only screen and (max-width: 959px) {
  .v-stepper:not(.v-stepper--vertical) .v-stepper__label {
      display: block;
      font-size: 14px;
  }
}

.v-application ul, .v-application ol {
  padding-left: 0px !important;
}

.multiselect__tags {
  min-height: 40px;
  display: block;
  padding: 8px 40px 0 0px !important;
  border-radius: 0px !important;
  border-top: 0px solid #e8e8e8 !important;
  border-left: 0px solid #e8e8e8 !important;
  border-right: 0px solid #e8e8e8 !important;
  border-bottom: 1px solid rgba(0, 0, 0, 0.42) !important;
  background: #fff;
  font-size: 14px;
}

.multiselect {
  cursor: pointer !important;
}

.multiselect__select {
  position: absolute;
  width: 25px !important;
  height: 38px;
  right: 1px;
  top: 1px;
  padding: 4px 8px;
  text-align: center;
  -webkit-transition: -webkit-transform .2s ease;
  transition: -webkit-transform .2s ease;
  transition: transform .2s ease;
  transition: transform .2s ease, -webkit-transform .2s ease;
}

.multiselect__select:before {
  position: relative;
  right: 0;
  top: 65%;
  color: rgba(0, 0, 0, 0.54) !important;
  margin-top: 4px;
  border-color: rgba(0, 0, 0, 0.54) transparent transparent !important;
  border-style: solid;
  border-width: 5px 5px 0;
  content: "";
}

.multiselect__placeholder {
  color: rgba(0, 0, 0, 0.6) !important;
  display: inline-block;
  margin-bottom: 10px;
  padding-top: 10px !important;
  padding-top: 10px !important;
  line-height: 20px !important;
  font-size: 15px !important;
}

.multiselect__tag {
  position: relative;
  display: inline-flex !important;
  padding: 4px 24px 4px 12px !important;
  border-radius: 16px !important;
  height: 32px !important;
  align-items: center !important;
  margin-right: 10px;
  color: rgba(0, 0, 0, 0.87) !important;
  line-height: 1;
  background: #e0e0e0 !important;
  margin-bottom: 5px;
  white-space: nowrap;
  overflow: hidden;
  max-width: 100%;
  text-overflow: ellipsis;
  font-size: 14px !important;
  span {
    max-width: 100px !important;
    overflow: hidden !important;
  }
}

.multiselect__tag__template {
  position: relative;
  display: inline-flex !important;
  padding: 4px 12px 4px 12px !important;
  border-radius: 16px !important;
  height: 32px !important;
  align-items: center !important;
  margin-right: 10px;
  color: rgba(0, 0, 0, 0.87) !important;
  line-height: 1;
  background: #e0e0e0 !important;
  margin-bottom: 5px;
  white-space: nowrap;
  overflow: hidden;
  max-width: 100%;
  text-overflow: ellipsis;
  font-size: 14px !important;
  span {
    max-width: 100px !important;
    overflow: hidden !important;
  }
}

.multiselect__tag-icon:after {
  vertical-align: sub !important;
  color: #5c5c5c !important;
  font-size: 14px;
}

.multiselect__tag-icon:focus, .multiselect__tag-icon:hover {
  background: #a1a1a1 !important;
}

.multiselect__single {
  background: transparent !important;
  padding: 4px 0px 4px 0px !important;
  font-size: 0.75rem !important;
  font-weight: normal;
  letter-spacing: 0.025rem !important;
  line-height: normal;
  color: #9e9e9e !important;
  caret-color: #9e9e9e !important;
}

.multiselect__option {
  display: block;
  padding: 0px 12px 0px 12px !important;
  min-height: 40px;
  line-height: 16px;
  text-decoration: none;
  text-transform: none;
  vertical-align: middle;
  position: relative;
  cursor: pointer;
  white-space: nowrap;
}

.multiselect__option--group {
  background: #fafafa !important;
  border-bottom: 1px solid #CCCCCC !important;
  border-top: 1px solid #CCCCCC !important;
  color: #35495e;
}

.multiselect__option--highlight {
  background: #f6f6f6 !important;
  outline: none;
  color: inherit !important;
}

.v-messages__message {
  font-size: 16px !important;
  font-family: 'Roboto Condensed', sans-serif !important;
  color: #cccccc !important;
}

.v-label {
  /* Placeholder */

  font-family: 'Roboto Condensed' !important;
  font-style: normal !important;
  font-weight: normal !important;
  font-size: 16px !important;
  line-height: 19px !important;
  /* identical to box height */


  /* grey / grey darken-1 */

  color: #757575 !important;
}

/* d3 - zoomable-cicle-packing-chart tooltip */
.d3-circle-packing-tooltip {
  font-family: 'Roboto Condensed';
  font-size: '12px';
  background: rgba(97, 97, 97, 0.9);
  color: #FFFFFF;
  border-radius: 4px;
  font-size: 14px;
  line-height: 22px;
  display: inline-block;
  padding: 0px 5px;
  position: absolute;
  text-transform: initial;
  width: auto;
  opacity: 1;
  pointer-events: none;
}
.button-text{
font-family: Roboto Condensed;
font-style: normal;
font-weight: bold;
font-size: 14px;
line-height: 16px;
display: flex;
align-items: center;
letter-spacing: 0.1em;
text-transform: uppercase;
}

